Bug 1074611 - Consider using Nagios 4.x branch for EPEL7
Summary: Consider using Nagios 4.x branch for EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Scott Wilkerson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1075867
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-10 16:06 UTC by Anssi Johansson
Modified: 2017-07-23 02:22 UTC (History)
16 users (show)

Fixed In Version: nagios-4.0.8-1.el7 nagios-4.3.2-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-23 02:22:27 UTC


Attachments (Terms of Use)

Description Anssi Johansson 2014-03-10 16:06:59 UTC
As of this writing, the newest version of Nagios for EPEL7 is 3.5.1, while the latest upstream version is 4.0.3.

I think it might save a bit of grief in the long run if EPEL7 used the Nagios 4.x branch from the beginning. EPEL7 will need to be maintained for years to come, and the 3.x branch of Nagios might not be supported infinitely by upstream.

Comment 1 Sam Kottler 2014-03-13 04:22:14 UTC
(In reply to Anssi Johansson from comment #0)
> I think it might save a bit of grief in the long run if EPEL7 used the
> Nagios 4.x branch from the beginning. EPEL7 will need to be maintained for
> years to come, and the 3.x branch of Nagios might not be supported
> infinitely by upstream.

I absolutely agree with your reasoning. We need to upgrade rawhide to 4.x first, though. I'll start working on that and once it's done we can rebase master (rawhide) into EPEL 7 along with any dependencies.

Comment 2 Oliver Haessler 2015-06-03 10:23:18 UTC
Is there any news on this? We are upstream right now at nagios-4.1.0rc1.tar.gz.

Thanks for the feedback.

Comment 3 belencitaesteban 2015-08-21 06:10:06 UTC
I'm looking forward to any related news,too; nagios is now at 4.1.0rc2
Please tell us something
Thank you.

Comment 4 Fedora Update System 2015-09-20 14:39:26 UTC
nagios-4.0.8-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16238

Comment 5 Fedora Update System 2015-09-20 14:39:27 UTC
nagios-4.0.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8155

Comment 6 Fedora Update System 2015-09-20 14:40:22 UTC
nagios-4.0.8-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16239

Comment 7 Fedora Update System 2015-09-20 14:40:23 UTC
nagios-4.0.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16240

Comment 8 Fedora Update System 2015-09-20 14:41:11 UTC
nagios-4.0.8-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8156

Comment 9 Fedora Update System 2015-09-20 16:49:34 UTC
nagios-4.0.8-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16239

Comment 10 Fedora Update System 2015-09-20 16:51:35 UTC
nagios-4.0.8-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16238

Comment 11 Fedora Update System 2015-09-20 17:19:59 UTC
nagios-4.0.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16240

Comment 12 Fedora Update System 2015-09-21 02:47:18 UTC
nagios-4.0.8-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8156

Comment 13 Fedora Update System 2015-09-21 02:50:49 UTC
nagios-4.0.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8155

Comment 14 Fedora Update System 2015-12-05 20:31:09 UTC
nagios-4.0.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Alan Pevec 2015-12-08 00:08:33 UTC
Looks like nagios-4.0.8 is not compatible with nagios-3.5.1
I saw this in OpenStack Packstack CI job, using puppet module
mod 'nagios',
  :commit => '56a1eee350c4600bb12e017d64238fb3f876abd4',
  :git => 'https://github.com/gildub/puppet-nagios-openstack.git'

nagios: Error: Service has no hosts and/or service_description (config file '/etc/nagios/nagios_service.cfg', starting on line 49)
nagios: Error processing object config files!

Comment 16 Fedora Update System 2017-02-09 17:28:53 UTC
nagios-4.2.4-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-270f6f4375

Comment 17 Fedora Update System 2017-02-10 22:41:14 UTC
nagios-4.2.4-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acd2c2af0d

Comment 18 Fedora Update System 2017-02-11 16:18:56 UTC
nagios-4.2.4-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acd2c2af0d

Comment 19 Lenz Grimmer 2017-03-01 12:28:58 UTC
I also commented on this in BUG#1329857 , but let me repeat this here:

This is the second time that Nagios in EPEL7 was updated to another major
version, introducing a lot of disruptive changes. The update to 4.0.8 already
broke several things (e.g. PNP4Nagios plugin), this update also changes the
directory layout and location of several files, rendering existing 4.0.8
installations in a broken state during update.

This is in violation of the package policies for EPEL -
https://fedoraproject.org/wiki/EPEL_Updates_Policy

"All updates should strive to avoid situations that require manual intervention
to keep the package functioning after update."

"Major updates with changes to user experience are to be avoided."

As the member of a project that depends on a stable version of Nagios in EPEL, 
this repeated breaking of Nagios causes a lot of confusion and headache on our
end and for our users.

Comment 20 Fedora Update System 2017-05-11 19:17:21 UTC
nagios-4.3.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1f2571d162

Comment 21 Fedora Update System 2017-05-12 19:52:04 UTC
nagios-4.3.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1f2571d162

Comment 22 Fedora Update System 2017-06-14 19:01:04 UTC
nagios-4.3.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 23 Fedora Update System 2017-06-15 09:47:36 UTC
nagios-4.3.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 24 Fedora Update System 2017-06-28 19:28:57 UTC
nagios-4.3.2-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 25 Fedora Update System 2017-06-30 01:17:22 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 26 Fedora Update System 2017-07-23 02:22:27 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.